Package org.eclipse.net4j.util.ui.views

# Interface ContainerItemProvider.Node

All Known Implementing Classes:
  `ContainerItemProvider.AbstractContainerNode`, `ContainerItemProvider.AbstractNode`, `ContainerItemProvider.ContainerNode`, `ContainerItemProvider.FixedChildrenNode`, `ContainerItemProvider.LeafNode`

Enclosing class:
  `ContainerItemProvider<CONTAINER extends IContainer<Object>>`

public static interface ContainerItemProvider.Node

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<ContainerItemProvider.Node>`
`NO_CHILDREN`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`disposeChildren()`
`List<ContainerItemProvider.Node>`
`getChildren()`
`Object`
`getElement()`
`ContainerItemProvider.Node`
`getParent()`
`Object`
`getParentElement()`
`TreePath`
`getTreePath()`
`boolean`
`hasChildren()`
`boolean`
`isDisposed()`

## Field Details

### NO_CHILDREN

static final List<ContainerItemProvider.Node> NO_CHILDREN

Since:
  3.9

## Method Details

### isDisposed

boolean isDisposed()

### dispose

void dispose()

### disposeChildren

void disposeChildren()

Since:
  3.5

### getElement

Object getElement()

### getParentElement

Object getParentElement()

Since:
  3.14

### getParent

ContainerItemProvider.Node getParent()

### hasChildren

boolean hasChildren()

Since:
  3.5

### getChildren

List<ContainerItemProvider.Node> getChildren()

### getTreePath

TreePath getTreePath()